The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
curl --request PATCH \
--url https://cloud.laravel.com/api/applications/{application} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_control_provider_type": "github",
"name": "<string>",
"slug": "<string>",
"default_environment_id": "<string>",
"repository": "<string>",
"slack_channel": "<string>"
}
'{
"data": {
"id": "<string>",
"type": "applications",
"attributes": {
"name": "<string>",
"slug": "<string>",
"region": "us-east-2",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"type": "repositories",
"id": "<string>"
}
},
"organization": {
"data": {
"type": "organizations",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"type": "environments",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "repositories",
"attributes": {
"name": "<string>"
}
}
]
}Update an application.
curl --request PATCH \
--url https://cloud.laravel.com/api/applications/{application} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_control_provider_type": "github",
"name": "<string>",
"slug": "<string>",
"default_environment_id": "<string>",
"repository": "<string>",
"slack_channel": "<string>"
}
'{
"data": {
"id": "<string>",
"type": "applications",
"attributes": {
"name": "<string>",
"slug": "<string>",
"region": "us-east-2",
"slack_channel": "<string>",
"avatar_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"repository": {
"full_name": "<string>",
"default_branch": "<string>"
}
},
"relationships": {
"repository": {
"data": {
"type": "repositories",
"id": "<string>"
}
},
"organization": {
"data": {
"type": "organizations",
"id": "<string>"
}
},
"environments": {
"data": [
{
"type": "environments",
"id": "<string>"
}
]
},
"deployments": {
"data": [
{
"type": "deployments",
"id": "<string>"
}
]
},
"defaultEnvironment": {
"data": {
"type": "environments",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "repositories",
"attributes": {
"name": "<string>"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The application identifier
The source control provider. This parameter will be required starting March 9, 2026.
github, gitlab, bitbucket 3 - 40^[\p{Latin}0-9 _.'-]+$3ApplicationResource
Was this page helpful?